Browse Active Markets
curl --request GET \
--url https://api.limitless.exchange/markets/active/{categoryId}import requests
url = "https://api.limitless.exchange/markets/active/{categoryId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.limitless.exchange/markets/active/{categoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.limitless.exchange/markets/active/{categoryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.limitless.exchange/markets/active/{categoryId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.limitless.exchange/markets/active/{categoryId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.limitless.exchange/markets/active/{categoryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 7495,
"address": "0x76d3e2098Be66Aa7E15138F467390f0Eb7349B9b",
"conditionId": "0x812f578437dc536def1412e4e593ef310884262c22868b30c1e58582e5f3e9bf",
"title": "DOGE Up or Down - Hourly",
"description": "This market will resolve to \"Up\" if the price of DOGE is above the opening price...",
"collateralToken": {
"address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"decimals": 6,
"symbol": "USDC"
},
"creator": {
"name": "Limitless",
"imageURI": "https://limitless.exchange/assets/images/logo.svg",
"link": "https://x.com/trylimitless"
},
"prices": [
42.8,
57.2
],
"categories": [
"Hourly"
],
"tags": [
"Lumy",
"Recurring",
"Hourly",
"Simple Mode"
],
"status": "FUNDED",
"expired": false,
"expirationDate": "Sep 1, 2025",
"expirationTimestamp": 1756728000000,
"volume": "164109293",
"volumeFormatted": "164.109293",
"openInterest": "48310707",
"openInterestFormatted": "48.310707",
"liquidity": "50000000",
"liquidityFormatted": "50.000000",
"tradeType": "amm",
"marketType": "single",
"slug": "doge-up-or-down-1-hour-1756724413009",
"feedEvents": [
{
"eventType": "NEW_TRADE",
"timestamp": "2025-09-01T11:30:31.000Z",
"user": {
"id": 7080,
"account": "0xea27f6788F083e6070961d3E52A2e596367E04CC",
"name": "GG",
"rankName": "Bronze",
"points": "0.00000000"
},
"data": {
"title": "DOGE Up or Down - Hourly",
"address": "0x76d3e2098Be66Aa7E15138F467390f0Eb7349B9b",
"strategy": "Buy",
"outcome": "Down",
"contracts": "9.071313",
"tradeAmount": "5",
"tradeAmountUSD": "4.999525",
"marketId": 7495
}
}
]
}
],
"totalMarketsCount": 150
}Markets
Browse Active Markets by Category
Retrieves markets and groups that are active and not yet resolved, with optional category filtering
GET
/
markets
/
active
/
{categoryId}
Browse Active Markets
curl --request GET \
--url https://api.limitless.exchange/markets/active/{categoryId}import requests
url = "https://api.limitless.exchange/markets/active/{categoryId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.limitless.exchange/markets/active/{categoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.limitless.exchange/markets/active/{categoryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.limitless.exchange/markets/active/{categoryId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.limitless.exchange/markets/active/{categoryId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.limitless.exchange/markets/active/{categoryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 7495,
"address": "0x76d3e2098Be66Aa7E15138F467390f0Eb7349B9b",
"conditionId": "0x812f578437dc536def1412e4e593ef310884262c22868b30c1e58582e5f3e9bf",
"title": "DOGE Up or Down - Hourly",
"description": "This market will resolve to \"Up\" if the price of DOGE is above the opening price...",
"collateralToken": {
"address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"decimals": 6,
"symbol": "USDC"
},
"creator": {
"name": "Limitless",
"imageURI": "https://limitless.exchange/assets/images/logo.svg",
"link": "https://x.com/trylimitless"
},
"prices": [
42.8,
57.2
],
"categories": [
"Hourly"
],
"tags": [
"Lumy",
"Recurring",
"Hourly",
"Simple Mode"
],
"status": "FUNDED",
"expired": false,
"expirationDate": "Sep 1, 2025",
"expirationTimestamp": 1756728000000,
"volume": "164109293",
"volumeFormatted": "164.109293",
"openInterest": "48310707",
"openInterestFormatted": "48.310707",
"liquidity": "50000000",
"liquidityFormatted": "50.000000",
"tradeType": "amm",
"marketType": "single",
"slug": "doge-up-or-down-1-hour-1756724413009",
"feedEvents": [
{
"eventType": "NEW_TRADE",
"timestamp": "2025-09-01T11:30:31.000Z",
"user": {
"id": 7080,
"account": "0xea27f6788F083e6070961d3E52A2e596367E04CC",
"name": "GG",
"rankName": "Bronze",
"points": "0.00000000"
},
"data": {
"title": "DOGE Up or Down - Hourly",
"address": "0x76d3e2098Be66Aa7E15138F467390f0Eb7349B9b",
"strategy": "Buy",
"outcome": "Down",
"contracts": "9.071313",
"tradeAmount": "5",
"tradeAmountUSD": "4.999525",
"marketId": 7495
}
}
]
}
],
"totalMarketsCount": 150
}This is the same as Browse Active Markets but with the category ID as a path parameter instead of a query parameter. Use Get Category Counts to discover available category IDs.
Supports
includeNextMarket=true for upfront-scheduled successor navigation. See Browse Active Markets for the response shape and usage guidance.Query Parameters
Response
Active markets and groups with volume and liquidity data
Array of active markets with complete trading data including volume, liquidity, and recent feed events
Example:
[
{
"id": 7495,
"address": "0x76d3e2098Be66Aa7E15138F467390f0Eb7349B9b",
"conditionId": "0x812f578437dc536def1412e4e593ef310884262c22868b30c1e58582e5f3e9bf",
"title": "DOGE Up or Down - Hourly",
"description": "This market will resolve to \"Up\" if the price of DOGE is above the opening price...",
"collateralToken": {
"address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"decimals": 6,
"symbol": "USDC"
},
"creator": {
"name": "Limitless",
"imageURI": "https://limitless.exchange/assets/images/logo.svg",
"link": "https://x.com/trylimitless"
},
"prices": [42.8, 57.2],
"categories": ["Hourly"],
"tags": [
"Lumy",
"Recurring",
"Hourly",
"Simple Mode"
],
"status": "FUNDED",
"expired": false,
"expirationDate": "Sep 1, 2025",
"expirationTimestamp": 1756728000000,
"volume": "164109293",
"volumeFormatted": "164.109293",
"openInterest": "48310707",
"openInterestFormatted": "48.310707",
"liquidity": "50000000",
"liquidityFormatted": "50.000000",
"tradeType": "amm",
"marketType": "single",
"slug": "doge-up-or-down-1-hour-1756724413009",
"feedEvents": [
{
"eventType": "NEW_TRADE",
"timestamp": "2025-09-01T11:30:31.000Z",
"user": {
"id": 7080,
"account": "0xea27f6788F083e6070961d3E52A2e596367E04CC",
"name": "GG",
"rankName": "Bronze",
"points": "0.00000000"
},
"data": {
"title": "DOGE Up or Down - Hourly",
"address": "0x76d3e2098Be66Aa7E15138F467390f0Eb7349B9b",
"strategy": "Buy",
"outcome": "Down",
"contracts": "9.071313",
"tradeAmount": "5",
"tradeAmountUSD": "4.999525",
"marketId": 7495
}
}
]
}
]